// vue.config.js

module.exports = {
    devServer: {
        headers: {
            "Access-Control-Allow-Origin": "*",
            "Access-Control-Allow-Headers": "*",
            "Access-Control-Allow-Methods": "*"
        },
        proxy: {
            '^/media/2': {
                target: 'http://core:8000/',
            },
            '^/api/2': {
                target: 'http://core:8000/',
            },
            '^/api/1': {
                target: 'http://core:8000/',
            },
            '^/ws/2': {
                target: 'http://core:8000/',
                ws: true,
                logLevel: 'debug',
            },
        }
    }
}